%global gem_name coffee-script-source
%global coffee_script_version 1.10.0
%global coffee_script_require js-coffee-script = %{coffee_script_version}
Name:                rubygem-%{gem_name}
Version:             %{coffee_script_version}
Release:             1
Summary:             The CoffeeScript Compiler
License:             MIT
URL:                 http://github.com/jashkenas/coffeescript/
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires:            %{coffee_script_require}
BuildRequires:       ruby(release) rubygems-devel ruby %{coffee_script_require} web-assets-devel
BuildArch:           noarch

%description
CoffeeScript is a little language that compiles into JavaScript.
Underneath all of those embarrassing braces and semicolons,
JavaScript has always had a gorgeous object model at its heart.
CoffeeScript is an attempt to expose the good parts of JavaScript
in a simple way.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
ln -sf %{_jsdir}/coffee-script/coffee-script.js \
  %{buildroot}%{gem_libdir}/coffee_script/coffee-script.js

%check

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}

%changelog
* Tue Aug 18 2020 wanglin <wanglin175@huawei.com> - 1.10.0-1
- package init
